/**
 * @fileoverview Conditionally rendered text nodes should be wrapped in an element (generally a &lt;span&gt;), otherwise Google Translate will cause a browser error.
 * @author alistair-coup
 */
'use strict';

const rule = require('../../../lib/rules/no-conditional-text-nodes'),
  RuleTester = require('eslint').RuleTester;

const ruleTester = new RuleTester();
ruleTester.run('no-conditional-text-nodes', rule, {
  valid: [
    // TODO: add code to test that won't trigger a warning
  ],

  invalid: [
    {
      code: 'Conditionally rendered text node found within jsx, which is not wrapped in an element.',
      errors: [{ message: '', type: '' }],
    },
  ],
});
